Subject: bug#63626: [PATCH] Make forward and backward-to-word arg optional

From: Juri Linkov <[email-masked]>
Date: Mon, 29 May 2023 19:46:59 +0300

> I have no opinion about how this 'should work'.
> I was just confused by the docstring, and I assumed from the docstring,
> that the intention was for the argument to be optional like in
> forward-word/line

Aren't all forward-like commands more permissive and allow their arg
to be optional?  It looks like the standard signature, e.g.:

  (defun forward-page (&optional count)
    (interactive "p")
    (or count (setq count 1))

  (defun forward-paragraph (&optional arg)
    (interactive "^p")
    (or arg (setq arg 1))

  (defun forward-sentence (&optional arg)
    (interactive "^p")
    (or arg (setq arg 1))

  ...